Skip to content

List authenticator devices

GET
/api/devices

The Authenticator (TOTP) API lets you generate one-time passwords and manage virtual 2FA devices for testing authentication systems.

Authorizations

ApiKey
Type
API Key (header: X-Api-Key)

Parameters

Query Parameters

username

Filter devices by username or account label. This is case insensitive and matches partial values.

Type
string
Example"qa@example.com"
Max Length
240
issuer

Filter devices by issuer. This is case insensitive and matches partial values.

Type
string
Example"GitHub"
Max Length
240
limit

The maximum number of virtual security devices that can be returned in this request.

Type
number
Example100
Minimum
1
Maximum
100
Default
100
offset

The number of virtual security devices to skip, useful for pagination.

Type
number
Example0
Minimum
0
Default
0

Responses

application/json
JSON
{
  
"total_count": 1,
  
"options": {
  
  
"limit": 100,
  
  
"offset": 0,
  
  
"username": "qa@example.com",
  
  
"issuer": "GitHub"
  
},
  
"items": [
  
  
{
  
  
  
"id": "9b1f6ec0-b90d-4bd8-8dd0-f6b2d5138273",
  
  
  
"organisation_id": "7f0a9c32-66b2-4e25-a4cf-1f77db8f7f3b",
  
  
  
"name": "GitHub staging",
  
  
  
"username": "qa@example.com",
  
  
  
"issuer": "GitHub",
  
  
  
"digits": 6,
  
  
  
"period": 30,
  
  
  
"algorithm": "SHA1",
  
  
  
"source": "custom",
  
  
  
"expiresAt": "2026-05-19T12:00:00.000Z",
  
  
  
"created_at": "2026-05-18T12:00:00.000Z",
  
  
  
"updated_at": "2026-05-18T12:00:00.000Z"
  
  
}
  
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI